Bug 168631 - [libsupc++] [patch] libsupc++ Version.map new operators size argument wrong type
Summary: [libsupc++] [patch] libsupc++ Version.map new operators size argument wrong type
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2012-06-03 11:50 UTC by Thomas Eberhardt
Modified: 2018-05-21 00:00 UTC (History)
0 users

See Also:


Attachments
file.diff (548 bytes, patch)
2012-06-03 11:50 UTC, Thomas Eberhardt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Eberhardt 2012-06-03 11:50:11 UTC
While trying to built sysutils/apcupsd on a freshly updated stable/9 system I stumbled upon missing new/delete operators in the new shared libsupc++ library.

The missing operators are already handled in r236177 for head so i won't report these, but there seems to be a problem with the type of the size argument for the new operator, which is different in i386 and amd64 systems.

I fixed it with a glob pattern in the Version.map file on my system. Please correct me if this is the wrong fix.

Fix: See the attached patch file.

Patch attached with submission follows:
How-To-Repeat: "portmaster sysutils/apcupsd" on stable/9 r236438
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2018-05-20 23:59:57 UTC
For bugs matching the following conditions:
- Status == In Progress
- Assignee == "bugs@FreeBSD.org"
- Last Modified Year <= 2017

Do
- Set Status to "Open"
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2018-05-21 00:00:38 UTC
For bugs matching the following conditions:
- Status == In Progress
- Assignee == "bugs@FreeBSD.org"
- Last Modified Year <= 2017

Do
- Set Status to "Open"